unit DDDllInt;

{ DiskDupe DLL Interface
  Copyright (c) 1996 MSD, Inc.
  Serial Number 755-000-123
  Last Updated: 8/14/96 }

interface

const
   DDCurrentVer = 100; {1.00}

   {*** DiskType values ***}
   dtOpen = 0;
   dt320k = 1;
   dt360k = 2;
   dt400k = 3;
   dt720k = 4;
   dt800k = 5;
   dt12m  = 6;
   dt136m = 7;
   dt14M  = 8;
   dt168M = 9;
   dt184M = 10;
   dt28M  = 11;
   dtMac  = 20;

   {*** CopyOp values ***}
   coDupe = 0;
   coComp = 1;

   {**** CopyFlag values (can be combined) ***}
   cfVerify            = 1;
   cfFormat            = 2;
   cfFormatIfNecessary = 4;
   cfDataTrackOnly     = 8;

   {*** TDDUtilMsgProc WhatMsg parameter ***}
   wmCopy    = 0;
   wmStat    = 1;
   wmHist    = 2;
   wmAction  = 3;
   wmError   = 4;
   wmDlg     = 5;

   {*** TMsgProc WhatMsg=wmCopy, MsgNum parameter ***}
   mncUpdateScr = 0;
   mncRead      = 1;
   mncFormat    = 2;
   mncWrite     = 3;
   mncVerify    = 4;
   mncReset     = 5;
   mncStep      = 6;
   mncStartDisk = 7;
   mncEndDisk   = 8;
   mncClean     = 9;
   mncComp      = 10;
   mncBlank     = 11;
   mncFormWrite = 12;
   mncAnalyze   = 13;
   mncNull      = 14;
   mncQueued    = 15;

type
   { Message callback prototype }
   TMsgProc = procedure(WhatMsg,MsgNum,Cyl,Hd: word; MsgZPtr: pchar);


{ Return code: All of the following functions will return an error code
except where noted. A "0" means there was no error, anything else
indicates and error. See DDERRORH.PAS for a complete list of the error
codes.
- DDDllInit should always be called first before any other call except
DDGetVer. }

{ Gets the version number of the DLL. Should be DDCurrentVer. }
function DDGetVer: word;

{ Inits the DLL. This needs to be called before any of the following }
function DDDllInit: word;

{ Sets the call back procedure if we want to see the messages
for debugging or to show a progress indicator. }
procedure DDSetMsgProc(MsgProc: pointer);

{ Set how much heap memory to leave. Defaults to $A0000 (640,000) bytes.
Set to $7FFFFFFF to not use any memory for disk image buffers. }
procedure DDSetMemToLeave(MemToLeave: longint);

{ Read the DISKDUPE.DAT file }
function DDInfoRead: word;

{ Copy a disk. The command line passed is the same as the Dos command line. }
function DDCopyDisk(CmdZPtr: pchar): word;

{ This will be called automatically when the DLL is released. However,
it can be called manually to release any memory used. }
procedure DDDllDone;

{*****************************************************}
implementation

function DDGetVer: word;
   external 'DISKDUPE' index 1;
procedure DDSetMsgProc(MsgProc: pointer);
   external 'DISKDUPE' index 8;
function DDDllInit: word;
   external 'DISKDUPE' index 50;
procedure DDSetMemToLeave;
   external 'DISKDUPE' index 51;
function DDInfoRead: word;
   external 'DISKDUPE' index 52;
function DDCopyDisk(CmdZPtr: pchar): word;
   external 'DISKDUPE' index 54;
procedure DDDllDone;
   external 'DISKDUPE' index 99;

end.