unit DDErrorH;

{ This unit shows the error numbers and messages.
- Errors 600-799 are for Dos errors. If a number appears in this range
that is not shown here, subtract 600 from it and look up the Dos error
number to find out what it is.
- Errors 950-999 are general purpose flags.
- Errors above 1000 are for internal debugging. }

{ DiskDupe Developer's Kit
  DDUtil Test 1.10, Copyright (c) 1995-96 MSD, Inc.
  Serial Number 755-000-123
  Last modified: 5/9/96}

interface

const
   ErrGrpDone     = 100;
   MsgGrpDone = '';
      ErrDoneUserStop = 101; {User stop}
      ErrDoneUserEsc = 102; {User ESC}
   ErrGrpDisk     = 200; {Disk error}
      ErrDiskBadCmd = 201; {Bad NEC Cmd}
      ErrDiskBadAddressMark = 202; {Bad address mark}
      ErrDiskWriteProtect = 203; {Write protect}
      ErrDiskRecordNotFound = 204; {Record not found}
      ErrDiskBadDma = 205; {Bad DMA}
      ErrDiskDmaBoundary = 206; {DMA boundary}
      ErrDiskBadCrc = 207; {Bad CRC}
      ErrDiskBadNec = 208; {Bad NEC}
      ErrDiskBadSeek = 209; {Bad seek}
      ErrDiskTimeout = 210; {Timeout}
      ErrDiskBadWinMargin = 211; {Bad window margin}
      ErrDiskBadSDSDma = 212; {Bad DMA on SDS head 1}
      ErrDiskBadSdsNec = 213; {Bad SDS NEC}
      ErrDiskBadSdsAddressMark = 214; {Bad address mark on SDS head 1}
      ErrDiskSdsRecordNotFound = 215; {Record not found on SDS head 1}
      ErrDiskBadSdsCrc = 216; {Bad CRC on SDS head 1}
      ErrDiskUserInt = 217; {Disk bad after user interrupt}
      ErrDiskSdsWriteProtect = 218; {Write protect on SDS head 1}
      ErrDiskBadSpeed = 219; {Disk is not spinning at the correct speed}
      ErrDiskBadSdsWinMargin = 220; {Bad window margin on SDS head 1}
      ErrDiskFloppyChanged = 221; {Diskette changed}
      ErrDiskWrongMedia = 222; {Media type not available}
   ErrGrpCompare = 300; {Compare error}
      ErrCompareBad = 301; {Bad compare}
      ErrCompareCrcBad = 302; {Bad checksum verify}
      ErrDiskBadSectorsSkipped = 303; {Bad sectors were skipped}
   ErrGrpCom = 400; {Com error}
      ErrComUnknown = 401; {Unknown com error}
      ErrComTimeout = 402; {Autoloader not responding}
      ErrComBadCmd = 403; {Bad autoloader command}
      ErrComBadPort = 404; {Com port not responding}
      ErrComBadTipCmd = 405; {Bad printer command}
      ErrComBadTipPort = 406; {Printer com port not responding}
      ErrComOverrun = 407; {Input lost}
      ErrComParity = 408; {Parity error}
      ErrComFraming = 409; {Framing error}
   ErrGrpAL = 500; {Auto-loader error}
      ErrAlUnknown = 501; {Unknown auto-loader error}
      ErrAlHopperEmpty = 502; {Input hopper is empty}
      ErrAlJam = 503; {Disk jam}
      ErrAlBinOpen = 504; {Output bin is open}
      ErrLlpLabelerEmpty = 505; {Labeler is empty}
      ErrLlpHopperEmpty = 506; {Input hopper is empty}
      ErrLlpHopperFull = 507; {Output hopper is full}
      ErrLlpPause = 508; {Loader is paused}
      ErrTipNoDisk = 509; {No disk in printer}
      ErrAlMoveFailed = 510; {Auto-loader move failed}
   ErrGrpFile = 600; {File error}
      ErrFileNotFound = 602; {File not found}
      ErrFilePathNotFound = 603; {Path not found}
      ErrFileTooManyOpenFiles = 604; {Too many open files}
      ErrFileAccessDenied = 605; {File access denied}
      ErrFileInvalidHandle = 606; {Invalid file handle}
      ErrFileInvalidCode = 612; {Invalid file access code}
      ErrFileInvalidDrive = 615; {Invalid drive number}
      ErrFileRemCurDir = 616; {Cannot remove current directory}
      ErrFileRenameAcrossDrives = 617; {Cannot rename across drives}
      ErrFileNoMoreFiles = 618; {No more matching files}
      ErrFileGenFailure = 631; {File attribute is set}
      ErrFileDiskRead = 700; {Disk read error}
      ErrFileDiskFull = 701; {Disk is full}
      ErrFileNotAssigned = 702; {File not assigned}
      ErrFileNotOpen = 703; {File not open}
      ErrFileNotOpenForInput = 704; {File not open for input}
      ErrFileNotOpenForOutput = 705; {File not open for output}
      ErrFileInvalidNumericFormat = 706; {Invalid numeric format}
      ErrFileWriteProtected = 750; {Disk is write-protected}
      ErrFileUnknownUnit = 751; {Unknown unit}
      ErrFileDriveNotReady = 752; {Drive not ready}
      ErrFileUnknownCommand = 753; {Unknown command}
      ErrFileCrcData = 754; {CRC data error}
      ErrFileBadDriveRequest = 755; {Bad drive request}
      ErrFileDiskSeek = 756; {Disk seek error}
      ErrFileUnknownMedia = 757; {Unknown media type}
      ErrFileSectorNotFound = 758; {Sector not found}
      ErrFileOutOfPaper = 759; {Printer out of paper}
      ErrFileDeviceWriteFault = 760; {Device write fault}
      ErrFileDeviceReadFault = 761; {Device read fault}
      ErrFileHardwareFailure = 762; {Hardware failure}
      ErrFileVirusFound = 780; {A Virus was found!}
   ErrGrpSetup = 800; {Setup}
      ErrSetupCtrlrNotResponding = 802; {Controller is not responding}
      ErrSetupDriveNotResponding = 803; {Drive is not responding}
      ErrSetupNotARamboDsk = 804; {Not a RamDisk}
      ErrSetupNewImageVer = 806; {Unknown image file version}
      ErrSetupCantDetermineType = 807; {Can''t determine disk type}
      ErrSetupWrongType = 808; {Wrong disk type}
      ErrSetupNeedDestDrive = 809; {Set Destination to a drive}
      ErrSetupNotCCIV = 810; {Controller not a Compaticard IV}
      ErrSetupNot82077 = 811; {Controller not an Enhanced 82077}
      ErrSetupNotEnoughEMS = 812; {Not enough EMS memory}
      ErrSetupNotEnoughXMS = 813; {Not enough XMS memory}
      ErrSetupUserHook = 815; {User interrupt TSR not installed}
      ErrSetupSDSCtrlrNotResponding = 816; {SDS Controller is not responding}
      ErrSetupNoDosDriver = 817; {Dos driver not installed for this drive}
      ErrSetupFileBad = 818; {File is bad}
      ErrSetupSerialExtFilePastEnd = 819; {Went past the end of the external serial file}
      ErrSetupTipNotResponding = 820; {Printer is not responding}
      ErrSetupBSNotResponding = 821; {Bottom stacker is not responding}
      ErrSetupBadCmdLine = 822; {Error in the command line}
      ErrSetupRelayWriteProtect = 823; {First disk needs to be write-protected}
      ErrSetupSDSNotResponding = 824; {SDS head 1 not responding}
      ErrSetupWrongLoader = 825; {Unknown auto-loader type}
      ErrSetupNoAdapt = 826; {No controller setup}
      ErrSetupBadCable = 827; {Cable is bad or upside down}
      ErrSetupNeedSrcImage = 828; {Set Source to a Image or Set}
      ErrSetupBadSdsCable = 829; {SDS Cable is bad or upside down}
      ErrSetupNoSdsAdapt = 830; {No SDS controller setup}
      ErrSetupSdsCablesReversed = 831; {SDS drive cables are reversed}
      ErrSetupNot82078 = 832; {Controller not an enhanced 82078}
      ErrSetupSide0Wrong = 833; {Side 0 has side 1 data, bad cable or setup}
      ErrSetupUnknownVersion = 834; {Unknown file version}
      ErrSetupCtrlrNotAllegro = 835; {Controller is not an Allegro}
      ErrSetupPrinterNeedsCom = 836; {This printer needs a com port}
      ErrSetupTooManyUsers = 837; {User limit has been reached, try again later}
      ErrSetupBumpUsed = 838; {Bump disk has already been installed} {* DDBUMP only *}
      ErrSetupBumpWrongSerial = 839; {Wrong DiskDupe serial number}
      ErrSetupIntelNmoBad = 840; {NMO Serial disk license block is bad}
      ErrSetupNotEnoughBins = 841; {Not enough bins to copy this set}
      ErrSetupSerialNotCurrent = 842; {Serial file is not current}
      ErrSetupDCINotFound = 843; {The DCI driver was not found}
      ErrSetupDriveAlignBad = 844; {Drive alignment is bad}
      ErrSetupDataRateBad = 845; {Controller doesn't support this data rate}
      ErrSetupPrinterNeedsLpt = 846; {This printer needs an LPT port}
      ErrSetupPclBadDrive = 847; {The PC Line controller doesn't support this drive}
      ErrSetupPclBadDisk = 848; {The PC Line controller doesn't support this disk}
      ErrSetupPclBadCmd = 849; {This is not supported on the PC Line controller}
      ErrSetupLineLabelNotFound = 850; {Line label not found}
   ErrGrpInternal = 900; {Internal error}
      ErrInternalUnknown = 901; {Unknown error}
      ErrInternalOutOfRam = 902; {Out of RAM memory}
      ErrInternalEMSError = 903; {EMS error}
      ErrInternalXMSError = 904; {XMS error}
      ErrInternalUserHook = 905; {User interrupt error}
      ErrInternalMemBad = 906; {Buffer memory has been corrupted}
      ErrInternalCodeBad = 907; {Code memory has been corrupted}
      ErrInternalVDmaError = 909; {DMA setup error}
      ErrInternalPMode = 910; {Not allowed in protected mode}
   ErrGrpFlag = 950;
      ErrFlagRelay = 951;
      ErrFlagNextDone = 952;
      ErrFlagNextNew = 953;
      ErrFlagAlError = 954;
      ErrFlagNoDisk = 955;
      ErrFlagNoCmos = 956;
      ErrFlagBadAuto = 957;
      ErrFlagYes = 958;
      ErrFlagNo = 959;
      ErrFlagOutOfRange = 960;
      ErrFlagTooManyBufs = 961;
      ErrFlagCollIndex = 963;
      ErrFlagNotReady = 964;
      ErrFlagIntDel = 965;
      ErrFlagAdaptBad = 966;
      ErrFlagNotFloppy = 967;
      ErrFlagNotFound = 968;
      ErrFlagNecPolling = 972;
      ErrFlagCancel = 973;
      ErrFlagBadDlgCmd = 974;
      ErrFlagComBufFull = 983;
      ErrFlagComBufEmpty = 984;
      ErrFlagNew = 986;
      ErrFlagRepeatedData = 987;
      ErrFlagEdit = 988;
      ErrFlagRetry = 989;

const
   ErrorShownBit = $8000;

implementation
end.
