program DLLTest;

{ This program is a demonstration of how to use the DISKDUPE.DLL to make
DiskDupe image files. It is written using Borland Pascal 7.0. }

{ DD Test 1.00, Copyright (c) 96 MSD, Inc.
  Serial Number 755-000-123
  Last modified: 8/15/96}

uses
   DDErrorH,DDDllInt,WinCrt,WinProcs,WinTypes;

(*************************************************)
procedure MsgProc(What,MsgNum,Cyl,Hd: word; MsgZPtr: pchar); export;

{ This is a callback procedure that the DLL will call to show what is
going on. It is very useful for debugging and can also be used
to give the user a progress indicator while copying }

begin
   if (What = wmCopy) then begin
      case MsgNum of
         mncRead:   write('Read   ');
         mncWrite:  write('Write  ');
         mncFormat: write('Format ');
         mncVerify: write('Verify ');
         else exit;
      end;
      writeln(' Cyl=',Cyl,' Hd=',Hd);
   end else begin
      writeln(MsgZPtr);
   end;
end;

{*************************************************}
label
   Cleanup;
var
   ErrorCode: word;
   Ignore: word;
   InitMem: longint;
   MsgProcHandle: TFarProc;
begin
   MsgProcHandle := NIL;

   { Initialize the output window by writing text to it }
   writeln('DD DLL Test 1.00  Copyright (c) 1995-96 MSD, Inc.');
   writeln('Serial Number 755-000-123');
   writeln('DISKDUPE.DLL version = ',1.0 * DDGetVer / 100:0:2);
   writeln;

   { Save the amount of free memory after initializing the output window }
   InitMem := MemAvail;
   writeln('Free mem=',MemAvail);

   { DDDllInit always needs to be called first. }
   ErrorCode := DDDllInit;
   if (ErrorCode <> 0) then goto Cleanup;

   { Set the callback procedure so we can see what is going on }
   MsgProcHandle := MakeProcInstance(@MsgProc,hinstance);
   DDSetMsgProc(MsgProcHandle);

   { Don't buffer any of the disk image to memory }
   DDSetMemToLeave($7FFFFFFF);

   { Read the DISKDUPE.DAT file. This is not necessary unless you want
   to setup the "Command Line" job beforehand. }
   ErrorCode := DDInfoRead;
   if (ErrorCode <> 0) then goto Cleanup;

   { Copy the disk and pass the command line }
   ErrorCode := DDCopyDisk('TEST.DDI B: /DUP /C1 /FO /VA');

Cleanup:
   if (MsgProcHandle <> NIL) then begin
      DDSetMsgProc(NIL);
      FreeProcInstance(MsgProcHandle);
   end;

   { Release any memory the the DLL is using. }
   DDDllDone;

   { Check to make sure that we haven't lost any memory }
   writeln('Free mem=',MemAvail);
   writeln('Lost mem=',InitMem - MemAvail);

   { If there was an error, show the error code }
   if (ErrorCode = 0) then begin
      writeln('Done!');
   end else begin
      writeln('Error=',ErrorCode);
   end;
end.
